Page MenuHomePhabricator

hook: ignore EPIPE when flushing stdout/stderr
ClosedPublic

Authored by mplamann on Oct 5 2020, 6:37 PM.

Details

Summary

This fixes the bug described in the parent commit.
test-transaction-rollback-on-sigpipe.t is updated to show the new
behavior.

Diff Detail

Repository
rHG Mercurial
Branch
stable
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mplamann created this revision.Oct 5 2020, 6:37 PM
pulkit added a subscriber: pulkit.Oct 9 2020, 5:19 AM
pulkit added inline comments.
mercurial/hook.py
266

unrelated change

mplamann updated this revision to Diff 23207.Oct 14 2020, 12:33 PM
pulkit accepted this revision.Oct 16 2020, 3:32 AM
This revision is now accepted and ready to land.Oct 16 2020, 3:32 AM
This revision was automatically updated to reflect the committed changes.

The test case fails on both py2 and py3 for me. This CI pipeline agrees that it's failing: https://foss.heptapod.net/octobus/mercurial-devel/-/pipelines/11695. Can you send a fix?

The test case fails on both py2 and py3 for me. This CI pipeline agrees that it's failing: https://foss.heptapod.net/octobus/mercurial-devel/-/pipelines/11695. Can you send a fix?

The test is still failing. Any chance you can fix it?

The test case fails on both py2 and py3 for me. This CI pipeline agrees that it's failing: https://foss.heptapod.net/octobus/mercurial-devel/-/pipelines/11695. Can you send a fix?

The test is still failing. Any chance you can fix it?

I've pushed a commit that I believe should fix this problem: https://phab.mercurial-scm.org/D9239

mercurial/hook.py
266

Thanks, reverted that.